Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1182446 - Review Request: php-phpseclib-file-asn1 - Pure-PHP ASN1 parser
Review Request: php-phpseclib-file-asn1 - Pure-PHP ASN1 parser
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Williamson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-15 01:22 EST by Remi Collet
Modified: 2015-05-04 15:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-phpseclib-file-asn1-0.3.9-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-26 21:57:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
adamw+fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2015-01-15 01:22:07 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/aa0e91dcea23cdb65883cf3c1602f1e38261d1be/php/phpseclib/php-phpseclib-file-asn1/php-phpseclib-file-asn1.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-phpseclib-file-asn1-0.3.9-1.remi.src.rpm
Description: 
Pure-PHP ASN1 parser.

Fedora Account System Username: remi


Urgent: new mandatory dependency of new horde/imp version.
Comment 1 Adam Williamson (Fedora) 2015-01-15 19:13:16 EST
Accepted. As a note, we already have the rest of phpseclib, and the spec follows the other specs pretty closely, just unimportant detail differences.

rpmlint:

[adamw@adam SPECS]$ rpmlint /home/adamw/rpmbuild/RPMS/noarch/php-phpseclib-file-asn1-0.3.9-1.fc22.noarch.rpm
php-phpseclib-file-asn1.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[adamw@adam SPECS]$ rpmlint /home/adamw/rpmbuild/SRPMS/php-phpseclib-file-asn1-0.3.9-1.fc22.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[adamw@adam SPECS]$ rpmlint php-phpseclib-file-asn1.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Packaging guidelines MUST and SHOULD items: all are correct or N/A.

Package is approved.

(Personally I like not to have BuildRoot and defattr, as I'm not interested in building for EL5 anyway, but it doesn't matter).
Comment 2 Adam Williamson (Fedora) 2015-01-15 19:16:11 EST
oh, forgot to mention, could you make me a contact, since I'm the primary contact for the rest of phpseclib? I'm a PP so I could commit anyway, but it's always clearer if the privs are visible in pkgdb.
Comment 3 Remi Collet 2015-01-16 01:23:35 EST
Thanks for the review (I'm used to clean the EL-5 stuff after import, as I still need them for my backport repo)

New Package SCM Request
=======================
Package Name: php-phpseclib-file-asn1
Short Description:Pure-PHP ASN1 parser
Upstream URL: http://phpseclib.sourceforge.net/
Owners: remi adamwill
Branches: f21 f20 epel7 el6
InitialCC:
Comment 4 Gwyn Ciesla 2015-01-16 08:18:54 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2015-01-16 09:08:59 EST
php-phpseclib-file-asn1-0.3.9-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-phpseclib-file-asn1-0.3.9-1.el7
Comment 6 Fedora Update System 2015-01-16 09:10:08 EST
php-phpseclib-file-asn1-0.3.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-phpseclib-file-asn1-0.3.9-1.el6
Comment 7 Fedora Update System 2015-01-16 09:10:14 EST
php-phpseclib-file-asn1-0.3.9-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-phpseclib-file-asn1-0.3.9-1.fc21
Comment 8 Fedora Update System 2015-01-16 09:10:21 EST
php-phpseclib-file-asn1-0.3.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-phpseclib-file-asn1-0.3.9-1.fc20
Comment 9 Fedora Update System 2015-01-16 14:10:08 EST
php-phpseclib-file-asn1-0.3.9-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 10 Fedora Update System 2015-01-26 21:57:58 EST
php-phpseclib-file-asn1-0.3.9-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 11 Fedora Update System 2015-01-26 21:58:53 EST
php-phpseclib-file-asn1-0.3.9-1.fc21 has been pushed to the Fedora 21 stable repository.
Comment 12 Fedora Update System 2015-02-02 12:05:36 EST
php-phpseclib-file-asn1-0.3.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 13 Fedora Update System 2015-02-02 12:06:18 EST
php-phpseclib-file-asn1-0.3.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.